Subject: [MBONED] RE: Site local addresses for MANET

From: Dave Thaler <[email-masked]>
Date: Fri, 11 May 2007 12:42:51 -0700

I don't read this as asking for a site-local address in particular.
They're asking for a scope-relative assignment (which I think is
reasonable, and similar to the other scope-relative assignments
that exist).

Per RFC2365, the last 256 addresses in every scope are reserved for IANA

assignment via scope relative addresses.  So there should be no
collision
with anyone who is following RFC guidelines and not squatting on IANA
assigned space.

-Dave

> -----Original Message-----
> From: Multicast Info [mailto:[email-masked]]
> Sent: Friday, May 11, 2007 6:08 AM
> To: [email-masked]
> Cc: David Meyer; Dave Thaler
> Subject: Site local addresses for MANET
> 
> I wonder if people have seen this :
> 
> http://www.ietf.org/internet-drafts/draft-ietf-manet-iana-02.txt
> 
> The part that troubles me is the desire for a site local address in
> 239 :
> 
> 4.1.  Site-local Scoped Multicast Group for IPv4
> 
>     For IPv4, well-known, scope-relative multicast address (as
> defined by
>     [RFC2365], Section 9) are used.  The offset for the scope relative
>     address for scoped MANET Routers is TBD4 to appear in
>     [IANAv4Multicast] registry.
> 
>     Different scopes are defined by [RFC2365].  The IPv4 Local Scope
>     (239.255.0.0/16) is the minimal enclosing scope for
administratively
>     scoped multicast and not further divisible -- its exact extent is
>     site dependent.
> 
>     For the IPv4 Local Scope, applying the rules of [RFC2365] and
using
>     the assigned offset of TDB4, the multicast address is therefore
>     239.255.255.(255-TBD4).
> 
> At present, only one 239 "Site-Local" address has been assigned -
> rasadv by Dave Thaler,
> 
>   239.255.002.002
> 
> There has been concern expressed that IANA assigned addresses in 239
> might collide with existing
> deployments using 239 local addresses. However, 239.255.2.2 is being
> used by Microsoft Windows, which
> indicates to me that it should be OK to assign a Manet address up in
> 239.255/16.
> 
> Comments or suggestions would be appreciated. I would also be
> interested if Dave Thaler or Dave
> Meyer remembers why 239.255.2.2 was chosen, instead of something in
> 239.255.1.X.
> 
> Regards
> Marshall
> 
> 

_______________________________________________
MBONED mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mboned

---

From: Dave Thaler <[email-masked]>
Date: Fri, 11 May 2007 12:42:51 -0700

-Dave

administratively
using